TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

EchelonForm ( elt-alg^mat X ) -> elt-alg^mat, elt-alg^mat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2

### Description

<shortdoc> The echelon form E of X, together with an invertible transformation matrix T such that E = T * X. </shortdoc>

### Examples

x_m := Matrix(Z,3,3,[2,-3,1,5,7,1,1,3,5]); EchelonForm(x_m);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack